** 	THIS FILE ANALYSES THE SIMULATION OUTPUT

** 	CHANGE THE DIRECTORY
	global D "D:\MPMAS\GHA073\Stata\"	

** 	IMPORT THE FILES
	cd $D
	**run do\Import.do

** 	AVAILABLE FILES:
**	D_solution.dta
**	D_prices.dta
**	D_rhs.dta
** 	D_lhs.dta

** 	OPEN SOLUTION.DTA
	cd $D
	use temp/A_solution, clear

************************************************************************

egen livsel_st = rowtotal(ss_*)

keep run period typ_str aID fstID livsel_st


save temp/temp1, replace

use temp/A_rhs, clear


egen herdsize = rowtotal(gdoe_tot gbuc_tot cow_tot bull_tot sewe_tot sram_tot)

keep run period typ_str aID fstID herdsize

save temp/temp2, replace

use temp/temp1, clear

merge using temp/temp2

drop _merge

g perliv_sold = (livsel_st/herdsize)*100

collapse (mean) perliv_sold,by (period)

graph bar (mean) perliv_sold, over(period) bar(1, fcolor(dkgreen) lcolor(dkgreen)) ytitle(%) title(Livestock sold start of the period)

graph export "results/Livestock sold_start_.tif", as(tif) replace
