* 	THIS FILE APPENDS THE SOLUTION FILES OF DIFF SCENARIOS AND ANALYSES THE IRRIGATED LAND USE

** 	CHANGE THE DIRECTORY
	cd $DIR

** 	OPEN SOLUTION.DTA
	use CRE_Solution, clear


**	APPEND THE SOUTION FILES

	append using CRE_DRY_Solution

	append using C_DRIFL2_Solution


	save EndData1, replace


*************************************************************************************
	drop if period==1

** 	GROUP THE CROPS

**	RICE AREA
	egen c_irice = rowtotal(grow_irice_*)
	egen c_rfrice = rowtotal(grow_rfrice_*)
	egen c_sprice = rowtotal(grow_sprice_*)

**	RAINFED CROPS
	egen c_rfmaize = rowtotal(grow_rfmaize)
	egen c_millet = rowtotal( grow_cp_mil_1 grow_cp_mil_2 grow_cp_mil_gc_1 grow_cp_mil_gc_2 grow_cp_gc_mil_1 grow_cp_gc_mil_2 grow_millet_wocash) /*Millet and guinea corn*/
	egen c_mil_bean = rowtotal(grow_b_mb_* grow_cp_mil_b_* grow_cp_gmil_b_* grow_cp_gmil2_b_* grow_b_mb_wocash)
	egen c_gnut_bean = rowtotal(grow_b_gb grow_b_gb_m grow_b_gb_fm grow_cp_gnut_b grow_cp_gnut_b_m grow_cp_gnut_b_fm grow_cp_gnut_bb)
	egen c_groundnut = rowtotal(grow_b_gnut_* grow_cp_gnut) /*Groundnut sole crop*/

**	IRRIGATED CROP AREA
	egen c_tomato = rowtotal(grow_tom_*)
	egen c_onion = rowtotal(grow_onion_*)
	egen c_irmaize = rowtotal(grow_feb_irrimaize_* grow_mar_irrimaize_* grow_aprl_irrimaize_*)

**	TOTAL RAINFED AND IRRIGATED AREA
	gen tot_rfed = c_rfmaize + c_millet + c_mil_bean + c_gnut_bean + c_groundnut + c_rfrice
	gen tot_irri = c_irice + c_sprice +c_tomato + c_onion + c_irmaize

*******************************************************************************************************
** 	BUSH AND COMPOUND FARM CROP AREA
**	egen c_bush = rowtotal(grow_b_mb_* grow_b_gnut_m grow_b_gnut_fm grow_b_gb grow_b_gb_m grow_b_gb_fm)
**	egen c_cp = rowtotal(grow_cp_mil_* grow_cp_mil_gc_* grow_cp_gc_mil_* grow_cp_mil_b_* grow_cp_gmil_b_* grow_cp_gmil2_b_* grow_cp_gnut grow_cp_gnut_b grow_cp_gnut_b_m grow_cp_gnut_b_fm)

*********************************************************************************************************************

**	COLLAPSE BY PERIOD

	collapse  (sum) tot_irri, by( run period) fast

	reshape wide  tot_irri , i(period ) j(run) string


	graph bar  tot_irriCRE tot_irriCRE_DRY tot_irriCRE_DRYRIF, over(period) bar(1, bc(black)) bar(2, bc(forest_green*0.9) ) bar(3, bc(sienna*0.7) ) legend(cols(2) label(1 "Normal Rainfall+Credit") label(2 "Drought+Credit") label(3 "Drought+credit+Reduced inflow") region(lpattern(blank) margin(medium))) ylabel(0(100)500, gmin gmax glc(black) glw(*0.9) angle(horizontal) labsize(medlarge)) ysca(noline) ytitle("Hectare", size(large))  graphregion(fc(white)) plotregion(margin(zero) lc(black))
	
	graph export "D:\MPMAS\Ghana_casestudy\TONO_10\Stata\results\Irrigated_Landuse_crops_CRE+DroughtRF_Comp.tif", as(tif) replace

*/

gg
	
	



**	PERCENTAGE OF TOTAL CROP AREA 

*************************************************************************************
**	TOTAL AREA UNDER CROPS
	egen carea = rowtotal(c_irice c_rfrice c_sprice c_rfmaize c_millet c_mil_bean c_gnut_bean c_groundnut c_tomato c_onion c_irmaize)

	
	g pa_irri = tot_irri/carea*100

**	COLLAPSE BY PERIOD

	collapse (mean) pa_* , by( run period) fast
	reshape wide  pa_irri , i(period ) j(run) string

	graph bar  pa_irriBSL pa_irriBSL_DRY pa_irriCRE_DRY, over(period) bar(1, bc(black)) bar(2, bc(forest_green*0.9) ) bar(3, bc(sienna*0.7) ) legend(cols(2) label(1 "Baseline") label(2 "Acess to Credit") label(3 "Dry season migration") region(lpattern(blank) margin(medium))) ylabel(0(1)6, gmin gmax glc(black) glw(*0.9) angle(horizontal) labsize(medium)) ysca(noline) ytitle("%", size(medlarge)) title("Percentage of total irrigated") graphregion(fc(white)) plotregion(margin(zero) lc(black))
	
graph export "D:\MPMAS\Ghana_casestudy\TONO_01\Stata\results\Irrigated_Landuse_crops_BSL_CRE.tif", as(tif) replace


