** THIS FILE ANALYSES THE LIVESTOCK HERD SIZE

** 	CHANGE THE DIRECTORY
	cd $DIR

** 	OPEN SOLUTION.DTA
	use BA_E9_prices, clear
	
     
*************************************************************************************
**	CHANGE PERIODS INTO YEARS
	g year = $YEAR -1 + period		/* From periods to years */
    drop if year==2007
	drop if year==2008


**	
**************************************************************************************

	keep run period year aID s_* sl_* 

	collapse (mean)s_* sl_*  , by(year run)
      reshape wide s_* sl_*   , i(year) j(run) string



gg
	twoway (connected s_rice year, lcolor(red) lpattern(solid) lwidth(medthin) msymbol(triangle) mcolor(red) msize(medsmall)) (connected s_bean year) (line s_mille year)  (connected s_maiz year) (connected s_onio year) (connected s_toma year) (connected s_gnut year), ytitle(Price [in GH cedi])  ysize(10) xsize(13) xlabel(2005(1)2014, angle(horizontal) labsize(medium) glc(black) glw(*0.9)) ylabel(0.3(0.05)0.7, angle(horizontal) labsize(small) glc(black) glw(*0.9)) graphregion(margin(b+0 l+3)fc(white)) plotregion(margin(zero) lc(black)) legend(col(4) label(1 "Rice")label(2 "Beans")  label(3 "Millet") label(4 "Maize") label(5 "Onion") label(6 "Tomato") label(7 "Groundnut")size(medium) width(100) nobox)
	graph export "D:\MPMAS\TONO243\Stata\results\Price Path_CRE.tif", as(tif) replace
gg



