
** 	THIS FILE ANALYSES THE CONSUMPTION

** 	CHANGE THE DIRECTORY
	cd $DIR
** 	OPEN SOLUTION.DTA
use T1_Solution, clear
      append using T2_solution
     	append using T4_solution
		append using T5_solution
		append using T6_solution
		append using T7_solution
		append using T8_solution
		append using T10_solution
		append using T11_solution
		append using T13_solution
		append using T14_solution
		append using T15_solution
		append using T16_solution
		append using T17_solution
		append using T18_solution
		append using T19_solution
		append using T20_solution
		append using T21_solution
		append using T22_solution
		append using T23_solution
		append using T24_solution
		append using T25_solution
		append using T27_solution
		append using T28_solution
		append using T29_solution
		append using T30_solution
		append using T32_solution
		append using T33_solution
		append using T34_solution
		append using T35_solution
		append using T36_solution
		append using T37_solution
		append using T38_solution
		append using T39_solution
		append using T41_solution
		append using T42_solution
		append using T43_solution
		append using T44_solution
		append using T45_solution
		append using T46_solution
		append using T47_solution
		append using T48_solution
		append using T49_solution
		append using T50_solution


	

*****************************************************************************************
**	CHANGE PERIODS INTO YEARS
	g year = $YEAR -1 + period		/* From periods to years */
     drop if period==1
	 drop if period==2
  
******************
	
	save temp, replace


	use temp, clear


*********************************************************************************************



**FAMILY SIZE (IN MALE ADULT (18-62) EQUIVALENT: 3.259 BJ/YEAR)
	g hhsize = e_demand
	g hhsize_ae = hhsize / 3.259
	label var hhsize "Household size [BJ]
	label var hhsize_ae "Household size [male adult equivalents]

** PERCAPITA ENERGY CONSUMPTION

	g pcap_en = e_supply/hhsize_ae
   keep  period aID pcap_en run
     xtile en10  = pcap_en, nq(10)
    collapse en10 pcap_en, by(period run aID)fast
   reshape wide en10 pcap_en,i(period aID) j(run)string
    GG
      scalar z= 3.259
      g ind=0
      replace ind=1 if pcap_en<= z
      gen gap0= ind*((z-pcap_en)/z)^0
      gen gap1= ind*((z-pcap_en)/z)^1
      gen gap2= ind*((z-pcap_en)/z)^2
	  sum gap0 
	 
 collapse gap0, by(period run)fast

reshape wide gap0,i(period) j(run)string

gg
graph bar   gap0AD_D gap0B_A gap0B_D, over(period) bar(1, bc(black)) bar(2, bc(forest_green*0.9) ) bar(3, bc(sienna*0.7) ) legend(cols(2) label(1 "Baseline [Endo Prices]") label(2 "Baseline [Exo Prices]") region(lpattern(blank) margin(medium))) ylabel(0(0.1)1, gmin gmax glc(black) glw(*0.9) angle(horizontal) labsize(medlarge)) ysca(noline) ytitle("Income in GH cedi", size(medium))  graphregion(fc(white)) plotregion(margin(zero) lc(black)) title("Average Income of Household [in GH Cedi]", size(large))
	
gg

collapse gap0, by(period run)fast

reshape wide gap0,i(period) j(run)string

gg
   collapse pcap_en, by(period run)fast

reshape wide pcap_en,i(period) j(run)string
   


gg

     






      








    save temp, replace


****************************************************************************



	
****************************************************************************************
*** CALCULATE THE GAPS, IN %
****************************************************************************************
** BSL:
	egen without_c 	= rsum(pcap_en)

***	DIVIDE INTO GROUPS:
	xtile en10  = pcap_en , nq(10)

	table en10, c(mean  pcap_en)









      g poor=pcap_en<3.259
      g non_poor=pcap_en>=3.259
      g index=pcap_en-3.259
      g count= index<0
      g count_1=index>=0
      g count_2=sum(count) 
      g count_3=sum(count_1)
      g headcount=count_2/(count_3+count_2)

      
   

     

     

	collapse  pcap_en, by (period run) fast

     reshape wide  pcap_en , i(period) j(run) string
Graph twoway (kdensity pcap_enBSL_B, lcolor(forest_green) lpattern(solid) lwidth(medthick)), ytitle(Kernel Density, size(medsmall)) xtitle(BJ/capita, size(medsmall)) title(Per capita food energy consumption) xline(3.259, lc(red*1.5)) text(0.10 2.8 "poverty line", orient(vertical) j(left) size(medsmall) c(red*1.5))
	GG


    graph twoway (kdensity pcap_enBSL_A if period == "pcap_enBSL_A", lw(*1) lc(black)) (kdensity pcap_enBSL_W if period == "pcap_enBSL_W", lw(*1) lc(red*2) )   ,legend(label(1 "Without population growth") label(2 "Baseline")  pos(2) ring(0) col(1) symx(*0.5) region(lc(none)) rowgap(*2)) ylabel(0(0.1)1, angle(horizontal) format(%9.2f) glc(gs11)) ytitle("Kernel density", margin(medium)) xtitle("Food energy consumption [BJ / capita]", margin(medium))  plotregion(lc(black)) graphregion(margin(b-5 l-5)) xline(3.259, lc(red*1.5)) text(0.05 2.90 "poverty line", orient(vertical) j(left) size(medsmall) c(red*1.5)) 
		
	GG


    
	Graph twoway (kdensity pcap_enBSL_A, lcolor(forest_green) lpattern(solid) lwidth(medthick)), ytitle(Kernel Density, size(medsmall)) xtitle(BJ/capita, size(medsmall)) title(Per capita food energy consumption) xline(3.259, lc(red*1.5)) text(0.10 2.8 "poverty line", orient(vertical) j(left) size(medsmall) c(red*1.5))
	GG
graph export "D:\MPMAS\Ghana_casestudy\TONO_01\Stata\results\Percapita FoodConsumprtion_BSL.tif", replace

**DIVIDE INTO GROUPS:
	xtile en10  = pcap_en, nq(10)

	graph bar (mean) pcap_en , stack over(en10, axis(off) gap(25)) ylabel(0(2)10, angle(horizontal) labsize(medlarge) glc(gs11)) ytitle("Billion joules/Capita", size(medlarge))bar(1, bc(blue*4)) xsize(20) ysize(10) graphregion(margin(b+18) color(white)) plotregion(margin(none) lc(black) lw(*2)) text( -1.5 50 "% of agents",size(medlarge)) text(-0.70 15.5 "20",size(medlarge)) text(-0.70 95.5 "100", size(medlarge)) text(-0.70 35.5 "40", size(medlarge)) text(-0.70 55.5 "60", size(medlarge)) text(-0.70 75.5 "80", size(medlarge)) 
	graph export "D:\MPMAS\Ghana_casestudy\TONO_01\Stata\results\Decom_percapita FoodConsumption_BSL.tif",replace
	gg
** COMPARISON GRAPHS OF PERCAPITA ENERGY CONSUMPTION IN DIFFERENT SENARIOS

	graph twoway (kdensity pcap_en if run == "B1", lw(*1) lc(black)) (kdensity pcap_en if run == "B4", lw(*1) lc(red*2) )   ,legend(label(1 "Without population growth") label(2 "Baseline")  pos(2) ring(0) col(1) symx(*0.5) region(lc(none)) rowgap(*2)) ylabel(0(0.1)1, angle(horizontal) format(%9.2f) glc(gs11)) ytitle("Kernel density", margin(medium)) xtitle("Food energy consumption [BJ / capita]", margin(medium))  plotregion(lc(black)) graphregion(margin(b-5 l-5)) xline(3.259, lc(red*1.5)) text(0.05 2.90 "poverty line", orient(vertical) j(left) size(medsmall) c(red*1.5)) 
		
	GG



	
