** THIS FILE ANALYSES THE LIVESTOCK HERD SIZE

** 	CHANGE THE DIRECTORY
	cd $DIR

** 	OPEN SOLUTION.DTA
	use BSL_solution, clear
**	APPEND THE SOUTION FILES

	
	append using BSLEX_solution
	

*************************************************************************************
**	CHANGE PERIODS INTO YEARS
	g year = $YEAR -1 + period		/* From periods to years */

	drop if period==1			/*Drop first 2 simulation years*/
	drop if period==2
	drop if period==5


******************


*********************************************************************************

egen herdsize = rowtotal(m_*)
egen con_live = rowtotal(con_l_*)
egen sel_liv_st = rowtotal(ss_*)
egen sel_liv_end = rowtotal(se_*)

collapse (mean) herdsize, by( run year) fast

	
	reshape wide  herdsize , i(year) j(run) string


	graph bar  herdsizeBSL herdsizeBSLEX, over(year) bar(1, bc(black)) bar(2, bc(forest_green*0.9) ) bar(3, bc(sienna*0.7) ) legend(cols(2) label(1 "Baseline [Endo Prices]") label(2 "Baseline [Exo Prices]") region(lpattern(blank) margin(medium))) ylabel(0(1)4, gmin gmax glc(black) glw(*0.9) angle(horizontal) labsize(medlarge)) ysca(noline) ytitle("Herdsize (Number)", size(medium))  graphregion(fc(white)) plotregion(margin(zero) lc(black)) title("Average Herdsize", size(large))
	
gg


collapse (mean)herdsize con_live sel_liv_st sel_liv_end, by (run period) fast



graph bar (mean) herdsize, over(period) bar(1, fcolor(forest_green) lcolor(forest_green)) ytitle(Average Herdsize) title(Livestock herdsize)

