** THIS FILE ANALYSE THE LAND AND LABOR PRODUCTIVITY 

********************************************************************************

** CHANGE THE DIRECTORY
	cd $DIR

** OPEN SOLUTION.DTA

	

	use BSL_Solution, clear

***********************************************************************************

**CALULATED THE TOTAL OUTPUT OF CROPS

	egen o_rice = rowtotal(s_rice con_rice) 
	egen o_bean = rowtotal(s_bean con_bean)

	egen o_mille = rowtotal(s_mille con_mille)

	egen o_maiz = rowtotal(s_maiz con_maiz)

	egen o_onio = rowtotal(s_onio con_onio)

	egen o_toma = rowtotal(s_toma con_toma)

	egen o_gnut = rowtotal(s_gnut con_gnut)

	egen o_mang = rowtotal(s_mang)

	egen o_gmea = rowtotal(sl_gmea con_l_gmea)
	egen o_gkid = rowtotal(sl_gkid con_l_gkid)
	egen o_beef = rowtotal(sl_beef con_l_beef)
	egen o_calf = rowtotal(sl_calf con_l_calf)
	egen o_smea = rowtotal(sl_smea con_l_smea)
	egen o_skid = rowtotal(sl_skid con_l_skid)


	save temp1, replace
	collapse (sum) o_*, by( run period) fast

gg
*******************************************************************
	

  use BSL_prices, clear

 
       append using CRE_prices

       append using BSL_DRY_prices
       append using CRE_DRY_prices

       append using CRE_DMIG_prices
     	 append using CRE_DMIG_prices

        append using CRE_DRYRIFL2_prices

       append using C_FER1_prices

      append using C_OFF_prices

    	append using OFF_prices
	append using DMIG_prices

	keep run period aID catchID secID fstID popID clustID nwID segID expectID colorID xcoord ycoord s_rice s_bean s_mille s_maiz s_onio s_toma s_gnut s_mang

	rename s_rice p_rice
	rename s_bean p_bean
	rename s_mille p_mille
	rename s_maiz p_maiz
	rename s_onio p_onio
	rename s_toma p_toma
	rename s_gnut p_gnut
	rename s_mang p_mang


	save temp2, replace
gg
**********************************************************************

	use temp1, clear

	merge using  temp2

	drop _merge


**Estimate the total value of crop output.	
	
      local crops "rice bean mille maiz onio toma gnut mang"
      foreach x of local crops {
                g  v_`x' = o_`x' * p_`x'
        }

	egen val_crops = rsum(v_rice - v_mang)

*****************************************************************************************
** GROUP THE CROPS

**RICE AREA
	egen c_irice = rowtotal(grow_irice_*)
	egen c_rfrice = rowtotal(grow_rfrice_*)
	egen c_sprice = rowtotal(grow_sprice_*)

**RAINFED CROPS
	egen c_rfmaize = rowtotal(grow_rfmaize)
	egen c_millet = rowtotal( grow_cp_mil_1 grow_cp_mil_2 grow_cp_mil_gc_1 grow_cp_mil_gc_2 grow_cp_gc_mil_1 grow_cp_gc_mil_2) /*Millet and guinea corn*/
	egen c_mil_bean = rowtotal(grow_b_mb_* grow_cp_mil_b_* grow_cp_gmil_b_* grow_cp_gmil2_b_*)
	egen c_gnut_bean = rowtotal(grow_b_gb grow_b_gb_m grow_b_gb_fm grow_cp_gnut_b grow_cp_gnut_b_m grow_cp_gnut_b_fm grow_cp_gnut_bb)
	egen c_groundnut = rowtotal(grow_b_gnut_* grow_cp_gnut) /*Groundnut sole crop*/

**IRRIGATED CROP AREA
	egen c_tomato = rowtotal(grow_tom_*)
	egen c_onion = rowtotal(grow_onion_*)
	egen c_irmaize = rowtotal(grow_feb_irrimaize_* grow_mar_irrimaize_* grow_aprl_irrimaize_*)

**TOTAL AREA UNDER CROPS
	egen carea = rowtotal(c_irice c_rfrice c_sprice c_rfmaize c_millet c_mil_bean c_gnut_bean c_groundnut c_tomato c_onion c_irmaize)

*****************************************************************************************
** LABOUR USED IN FARMING

	egen labuse = rowtotal (l_h_* l_f_*)
	egen lab_liv = rowtotal(lab_liv_*)

	g lab_crop = labuse-lab_liv


* crop productivities
	rename carea lnd
	
	g out_lnd = val_crops / lnd
	g out_lab = val_crops / lab_crop

	collapse (mean) out_*, by( run period) fast

gg
** LAND PRODUCTIVITY
	graph twoway connected out_lnd period , clw(*1) clc(sienna) msymbol(square) mfc(white) mc(sienna) ylabel(0(500)2500, labsize(medium) angle(horizontal)) xlabel(1(1)14, labsize(medium))  xtitle(Period, size(medlarge) margin(medsmall)) ytitle(".0000 Cedis/ha", size(medlarge)) title("Land Productivity", size(medlarge))
	graph export "D:\MPMAS\GHA133\Stata\results\CropLandProductivity.tif", replace
	

** LABOR PRODUCTIVITY

	graph twoway connected out_lab period , clw(*1) clc(sienna) msymbol(square) mfc(white) mc(sienna) ylabel(0(1)5, labsize(medium) angle(horizontal)) xlabel(1(1)14, labsize(medium))  xtitle(Period, size(medlarge) margin(medsmall)) ytitle(".0000 Cedis/MDs", size(medlarge)) title("Labor Productivity", size(medlarge))
	graph export "D:\MPMAS\GHA133\Stata\results\LaborProductivity.tif", replace
	
