* 	THIS FILE APPENDS THE SOLUTION FILES OF DIFF SCENARIOS AND ANALYSES THE CONSUMPTION


** 	CHANGE THE DIRECTORY
	cd $DIR

** 	OPEN SOLUTION.DTA
	use BSL_Solution, clear


**	APPEND THE SOUTION FILES


	**append using CRE_solution
	
	
	append using BSLEX_solution
	**append using CREEX_solution

	save EndData, replace


**************************************************************************
	
	use EndData,clear

*************************************************************************************
**	CHANGE PERIODS INTO YEARS
	g year = $YEAR -1 + period		/* From periods to years */

	drop if period==1			/*Drop first 2 simulation years*/
	drop if period==2
	
**************************************************************************************


**FAMILY SIZE (IN MALE ADULT (18-62) EQUIVALENT: 3.259 BJ/YEAR)
	g hhsize = e_demand
	g hhsize_ae = hhsize / 3.259
	label var hhsize "Household size [BJ]
	label var hhsize_ae "Household size [male adult equivalents]

** PERCAPITA ENERGY CONSUMPTION

	g pcap_en = e_supply/hhsize_ae
	drop if pcap_en==0

** PERCAPITA INCOME

	g pcap_inc = income / hhsize_ae
	drop  if pcap_inc==0



******************************************************************************
** LAND USE
******************************************************************************

** GROUP THE CROPS

**RICE AREA
	egen c_irice = rowtotal(grow_irice_*)
	egen c_rfrice = rowtotal(grow_rfrice_*)
	egen c_sprice = rowtotal(grow_sprice_*)

**RAINFED CROPS
	egen c_rfmaize = rowtotal(grow_rfmaize)
	egen c_millet = rowtotal( grow_cp_mil_1 grow_cp_mil_2 grow_cp_mil_gc_1 grow_cp_mil_gc_2 grow_cp_gc_mil_1 grow_cp_gc_mil_2) /*Millet and guinea corn*/
	egen c_mil_bean = rowtotal(grow_b_mb_* grow_cp_mil_b_* grow_cp_gmil_b_* grow_cp_gmil2_b_*)
	egen c_gnut_bean = rowtotal(grow_b_gb grow_b_gb_m grow_b_gb_fm grow_cp_gnut_b grow_cp_gnut_b_m grow_cp_gnut_b_fm grow_cp_gnut_bb)
	egen c_groundnut = rowtotal(grow_b_gnut_* grow_cp_gnut) /*Groundnut sole crop*/

**IRRIGATED CROP AREA
	egen c_tomato = rowtotal(grow_tom_*)
	egen c_onion = rowtotal(grow_onion_*)
	egen c_irmaize = rowtotal(grow_feb_irrimaize_* grow_mar_irrimaize_* grow_aprl_irrimaize_*)

**TOTAL AREA UNDER CROPS
	egen carea = rowtotal(c_irice c_rfrice c_sprice c_rfmaize c_millet c_mil_bean c_gnut_bean c_groundnut c_tomato c_onion c_irmaize)

**	TOTAL RAINFED AND IRRIGATED AREA
	gen tot_rfed = c_rfmaize + c_millet + c_mil_bean + c_gnut_bean + c_groundnut + c_rfrice
	gen tot_irri = c_irice + c_sprice +c_tomato + c_onion + c_irmaize


****************************************************************************************
**FERTILIZER USED PER HA CULTIVATED

	gen fert_use = b_fert/carea
*************************************************************************************
	save Enddata_1, replace

	**collapse (mean) income pcap_en  fert_use, by (year run) fast
	**drop  if pcap_en==0

	collapse (mean)  pcap_en , by (year run) fast

	reshape wide  pcap_en , i(year ) j(run) string


	graph bar  pcap_enBSL pcap_enBSLEX, over(year) bar(1, bc(lavender)) bar(2, bc(forest_green*0.9) )  legend(cols(2) label(1 "Baseline endogenous price") label(2 "Baseline exogenous price")  region(lpattern(blank) margin(medium))) ylabel(0(0.5)5, gmin gmax glc(black) glw(*0.9) angle(horizontal) labsize(medlarge)) ysca(noline) ytitle("Energy cons. BJ/capita", size(medium))  graphregion(fc(white)) plotregion(margin(zero) lc(black))title("Average Food energy cons. [BJ/capita]", size(large))
	
gg




gg
	
** COMPARISON GRAPHS OF PERCAPITA ENERGY CONSUMPTION IN DIFFERENT SENARIOS

	graph twoway (kdensity pcap_en if run == "BSL", lw(*4) lc(black)) (kdensity pcap_en if run == "BSLEX", lw(*4) lc(red*2) ) ,legend(label(1 "Baseline Endogenous price") label(2 "Baseline Exogenous price")  pos(2) ring(0) col(1) symx(*0.5) region(lc(none)) rowgap(*2)) ylabel(0(0.2)0.6, angle(horizontal) format(%9.2f) glc(gs11)) ytitle("Kernel density", size(medium) margin(medium)) xtitle("Food energy consumption [BJ / capita]", size(medium) margin(medium))  plotregion(lc(black)) graphregion(margin(b-5 l-5)) xline(3.259, lc(red*1.5)) text(0.40 2.6 "poverty line", orient(vertical) j(left) size(medsmall) c(red*1.5)) graphregion(fc(white))
	graph export "D:\MPMAS\TONO243\Stata\results\_Comparison_Percapita FoodConsumption_BSL.tif", replace
gg
graph twoway (kdensity pcap_en if run == "CRE", lw(*4) lc(black)) (kdensity pcap_en if run == "CREEX", lw(*4) lc(red*2) ) ,legend(label(1 "Credit Endogenous price") label(2 "Credit Exogenous price")  pos(2) ring(0) col(1) symx(*0.5) region(lc(none)) rowgap(*2)) ylabel(0(0.2)0.6, angle(horizontal) format(%9.2f) glc(gs11)) ytitle("Kernel density", size(medium) margin(medium)) xtitle("Food energy consumption [BJ / capita]", size(medium) margin(medium))  plotregion(lc(black)) graphregion(margin(b-5 l-5)) xline(3.259, lc(red*1.5)) text(0.40 2.6 "poverty line", orient(vertical) j(left) size(medsmall) c(red*1.5)) graphregion(fc(white))
	graph export "D:\MPMAS\TONO243\Stata\results\_Comparison_Percapita FoodConsumption_Credit.tif", replace
gg
	

