** THIS FILE ANALYSE  PRODUCTION UNDER DIFFERENT SCEANARIOS 

********************************************************************************

** 	CHANGE THE DIRECTORY
	cd $DIR

** 	OPEN SOLUTION.DTA

	

	use B_B_Solution, clear
**	APPEND THE SOUTION FILES
      append using B_W_Solution
	append using B_D_Solution
	append using B_A_Solution
	append using AD_D_Solution
	append using AD_B_Solution
	

	




*************************************************************************************
**	CHANGE PERIODS INTO YEARS
	g year = $YEAR -1 + period		/* From periods to years */

	
      
**************************************************************************************
 g e_avillabel=e_supply
g hhsize = e_demand

	g hhsize_ae = hhsize / 3.259
	label var hhsize "Household size [BJ]
	label var hhsize_ae "Household size [male adult equivalents]
      egen o_mille = rowtotal(s_mille con_mille)
	egen o_rice = rowtotal(s_rice con_rice) 
	egen o_bean = rowtotal(s_bean con_bean)
	egen o_maiz = rowtotal(s_maiz con_maiz)
      egen o_stap = rowtotal(b_stap)
       g epr_mil = o_mille	* 0.014016/hhsize_ae
       g epr_bea = o_bean	* 0.014058/hhsize_ae
       g epr_mai = o_maiz * 0.015021/hhsize_ae
       g epr_ric = o_rice * 0.014519/hhsize_ae
       g epr_stap = o_stap*0.0146/hhsize_ae
	 egen ceral=rsum(epr_mil epr_mai epr_ric epr_stap )
      

     g req  =3.259
     g dif=ceral-req
     collapse dif , by(year run) fast
	reshape wide dif, i(year) j(run) string 

gg
       g e_required_ae= e_demand/3.259
g surplus =(e_avillabel- e_required_ae)*100/(e_avillabel)
collapse surplus, by(year run) fast
reshape wide surplus,i(year) j(run) string 
gg
graph twoway connected surplusB_B surplusAD_B surplusB_D surplusAD_D year , clw(*1) clc(sienna) msymbol(square) mfc(white) mc(blue) ylabel(-45(10)40, labsize(medium) angle(horizontal))xtitle(year, size(medlarge) margin(medsmall)) ytitle("prportion of surplus food", size(medlarge)) title("Surplus food production", size(medlarge))xlabel(2010(1)2021, labsize(medium))yline(0, lc(red*1.5))
gg


gg

 
gg
**CALULATED THE TOTAL OUTPUT OF CROPS

	egen o_rice = rowtotal(s_rice con_rice)
	egen o_bean = rowtotal(s_bean con_bean)

	egen o_mille = rowtotal(s_mille con_mille)

	egen o_maiz = rowtotal(s_maiz con_maiz)

	egen o_onio = rowtotal(s_onio con_onio)

	egen o_toma = rowtotal(s_toma con_toma)

	egen o_gnut = rowtotal(s_gnut con_gnut)

	egen o_mang = rowtotal(s_mang)
      egen o_goat =rowtotal(sl_gmea sl_gkid)
      egen o_sheep =rowtotal(sl_smea sl_skid)
      egen o_catt =rowtotal(sl_beef sl_calf)
    

**CALULATED ENERGY EQUIVALENCE OF CROPS
      g e_bean = o_bean*0.0211
	g e_millet = o_mille*0.021
      g e_rice = o_rice*0.0228
      g e_maize = o_maiz*0.0225
      g e_onion = o_onio*0.0023
      g e_tomato = o_toma*0.0012
      g e_gnut = o_gnut*0.0277
      g e_mango = o_mang
      g e_goat = o_goat*0.0139
      g e_sheep = o_sheep*0.0139
      g e_catt = o_catt*0.0113

g totalenergysupply = (e_rice+ e_bean+ e_mille+ e_maiz+ e_onio+ e_toma+ e_gnut+ e_mang+e_goat+e_sheep+e_catt)
collapse totalenergysupply, by(year run aID) fast
reshape wide totalenergysupply,i(year aID) j(run) string


gg
    **CALULATED THE TOTAL CONSUMPTION OF CROPS PRODUCED

      egen c_rice = rowtotal( con_rice) 
	egen c_bean = rowtotal( con_bean)

	egen c_mille = rowtotal( con_mille)

	egen c_maiz = rowtotal(con_maiz)

	egen c_onio = rowtotal( con_onio)

	egen c_toma = rowtotal( con_toma)

	egen c_gnut = rowtotal( con_gnut)

	egen c_mang = rowtotal(s_mang)
     egen c_goat = rowtotal(con_l_gmea con_l_gkid)
     egen c_sheep = rowtotal(con_l_smea con_l_skid)
     egen c_catt = rowtotal(con_l_beef con_l_beef)

    sum c_rice c_bean c_mille c_maiz c_onio c_toma c_gnut c_mang
 

**CALULATED ENERGY EQUIVALENCE OF OWN CROPS CONSUMED

      g ec_bean = c_bean*0.0211
	g ec_millet = c_mille*0.021
      g ec_rice = c_rice*0.0228
      g ec_maize = c_maiz*0.0225
      g ec_onion = c_onio*0.0023
      g ec_tomato = c_toma*0.0012
      g ec_gnut = c_gnut*0.0277
      g ec_mango = c_mang
      g ec_goat = c_goat*0.0139
      g ec_sheep = c_sheep*0.0139
      g ec_catt = c_catt*0.0113
**CALULATED THE TOTAL PURCHASE OF CROPS

      egen by_stap = rowtotal(s_rice con_rice) 
	egen by_legum = rowtotal(b_legu)
	egen by_anip = rowtotal(b_anip)

	egen by_veg = rowtotal(b_veg)

	egen by_fish = rowtotal(b_fish)

	egen by_nece = rowtotal(b_nece)

	egen by_luxu = rowtotal(b_luxu)
**CALULATED ENERGY EQUIVALENCE OF PURCHASED CROPS CONSUMED
g e_stap = by_stap*0.0158
g e_legum= by_legum*0.0249
g e_anip= by_anip*0.0144
g e_veg= by_veg*0.0028
g e_fish= by_fish*0.0151
g e_nece= by_nece*0.0513


g totalenergydemanded = (ec_rice+ ec_bean+ ec_mille+ ec_maiz+ ec_onio+ ec_toma+ ec_gnut+ ec_mang+ ec_goat+ ec_sheep+ ec_catt+ e_stap +e_legum+ e_anip+ e_veg+ e_fish+ e_nece)
g surplus = (totalenergysupply-totalenergydemanded)



**FAMILY SIZE (IN MALE ADULT (18-62) EQUIVALENT: 3.259 BJ/YEAR)
	g hhsize = e_demand

	g hhsize_ae = hhsize / 3.259
	label var hhsize "Household size [BJ]
	label var hhsize_ae "Household size [male adult equivalents]

** PERCAPITA ENERGY CONSUMPTION and poverty decompostion

	



	g pcap_ensurplus = surplus/hhsize_ae 

collapse pcap_ensurplus, by(year run aID) fast
reshape wide pcap_ensurplus,i(year aID) j(run) string
sum pcap_ensurplusBSL_B pcap_ensurplusBSL_A pcap_ensurplusBSL_W
GG
graph twoway connected pcap_ensurplusBSL_B pcap_ensurplusBSL_A pcap_ensurplusBSL_W year , clw(*1) clc(sienna) msymbol(square) mfc(white) mc(sienna) ylabel(3(0.5)8, labsize(medium) angle(horizontal)) xlabel(2010(1)2022, labsize(medium))  xtitle(year, size(medlarge) margin(medsmall)) ytitle(".energy/gjoule", size(medlarge)) title("Surplus food production", size(medlarge))
	gg



GG

**CALULATED THE TOTAL PURCHASE OF CROPS

      egen by_stap = rowtotal(s_rice con_rice) 
	egen by_legum = rowtotal(b_legu)
	egen by_anip = rowtotal(b_anip)

	egen by_veg = rowtotal(b_veg)

	egen by_fish = rowtotal(b_fish)

	egen by_nece = rowtotal(b_nece)

	egen by_luxu = rowtotal(b_luxu)
**CALULATED ENERGY EQUIVALENCE OF PURCHASED CROPS CONSUMED
g e_stap = by_stap*0.0158
g e_legum= by_legum*0.0249
g e_anip= by_anip*0.0144
g e_veg= by_veg*0.0028
g e_fish= by_fish*0.0151
g e_nece= by_nece*0.0513

g totalenergydemanded = (ec_rice+ ec_bean+ ec_mille+ ec_maiz+ ec_onio+ ec_toma+ ec_gnut+ ec_mang+ ec_goat+ ec_sheep+ ec_catt+ e_stap +e_legum+ e_anip+ e_veg+ e_fish+ e_nece)
g surplus = (totalenergysupply-totalenergydemanded)/(totalenergysupply)*100
collapse surplus, by(period run aID) fast
reshape wide surplus,i(period aID) j(run) string

sum surplusBSL_A surplusBSL_B surplusBSL_W


gg

    
