* 	THIS FILE APPENDS THE SOLUTION FILES OF DIFF SCENARIOS AND ANALYSES THE DIFFUSION


** 	CHANGE THE DIRECTORY
	cd $DIR

** 	OPEN SOLUTION.DTA
	
	 use W1_B_Solution, clear
     append using W1_C_Solution
	 *append using W1_O_Solution
*************************************************************************************
**	CHANGE PERIODS INTO YEARS
	g year = $YEAR -1 + period		/* From periods to years */

******************
	
	save temp, replace


	use temp, clear

*********************************************************************************************
**FAMILY SIZE (IN MALE ADULT (18-62) EQUIVALENT: 3.259 BJ/YEAR)
	g hhsize = e_demand
	g hhsize_ae = hhsize / 3.259
	label var hhsize "Household size [BJ]
	label var hhsize_ae "Household size [male adult equivalents]

** PERCAPITA ENERGY CONSUMPTION and poverty decompostion
     drop if Br_cre==0 &run=="W1_C"
	 g pcap_en = e_supply/hhsize_ae
	g poor= 1 if pcap_en < 3.259
	*drop if poor==.
	 *xtile en2  = pcap_en, nq(3)
	
	 replace poor=0 if pcap_en>=3.259
	*g middle=2 if pcap_en >=3.259 &pcap_en < 4.5
	*g rice=3 if pcap_en >=4.5
	gg
     collapse (mean) income pcap_en, by( run year poor) fast
	  reshape wide  income pcap_en, i(year poor) j(run) string
	  gg
	  g baseline = pcap_enW1_B/3.259
	  g credit =  pcap_enW1_C/3.259
	   replace baseline=1 if baseline>1
	    replace credit=1 if credit>1
		twoway (connected baseline credit year , lcolor(green) lpattern(solid) lwidth(medthick) msymbol(square) mcolor(green) msize(medium)), ytitle(% of minimum level consumption met ) xtitle(Period) ylabel(0(0.25)1) yline(1)
 GG

stripplot pcap_en, bar over(run) by(pov, compact col(1) note("")) ysc(reverse) subtitle(, pos(9) ring(1) nobexpand bcolor(none) placement(e)) ytitle("") xtitle(Cedies) 


	collapse (mean) income , by( run year ) fast
 
	
	reshape wide  income , i(year) j(run) string
gg

	graph bar  incomeBSL incomeBSLEX, over(year) bar(1, bc(black)) bar(2, bc(forest_green*0.9) ) bar(3, bc(sienna*0.7) ) legend(cols(2) label(1 "Baseline [Endo Prices]") label(2 "Baseline [Exo Prices]") region(lpattern(blank) margin(medium))) ylabel(0(500)2500, gmin gmax glc(black) glw(*0.9) angle(horizontal) labsize(medlarge)) ysca(noline) ytitle("Income in GH cedi", size(medium))  graphregion(fc(white)) plotregion(margin(zero) lc(black)) title("Average Income of Household [in GH Cedi]", size(large))
	
	graph export "D:\MPMAS\TONO243\Stata\results\Income_comp.tif", as(tif) replace


gg
