************************************************************************
**** 6A.	SURPLUS FOOD PRODUCTION (SOCIAL OBJECTIVE NR.1)
************************************************************************

	* % PRODUCTION CONSUMED:
	* Cereals produced - cereals consumed
	* price vector needed!!!!!!!!!!!!!!!!!!!!!!
	* cereal production includes: maize, millet, sorghum
		* FOOD CATEGORIES:
		* group 0: matooke			* group 4: purchased neccessities
		* group 1: cassava, sweet potato	* group 5: beef, goat meat, chicken, egg, milk
		* group 2: maize, millet, sorghum	* group 6: fruits, vegetables
		* group 3: bean, groundnut		* group 7: purchased food luxuries
	* Energy value of crop production:
	* For energy values see: <UMarket_Master.xls>
	* Food energy in BJ/kg
	g epr_gro = o_gro	* 0.012916
	g epr_mai = o_mai * 0.015021
	g epr_sor = o_sor	* 0.014519
	g epr_mil = o_mil	* 0.014016
	g epr_bea = o_bea	* 0.014058
	g epr_pla = o_pla	* 0.003954
	g epr_cas = o_cas	* 0.005611
	g epr_swe = o_swe * 0.004556
	egen	epr_maize	= rsum(epr_mai)
	egen	epr_cereal	= rsum(epr_mai epr_mil epr_sor)
	egen 	epr_total	= rsum(epr_gro - epr_swe)
	label var epr_maize  "Maize energy production [BJ]
	label var epr_cereal "Food energy production from cereals [BJ]
	label var epr_total  "Total food energy production [BJ]

	* Energy value of crop sales (=surplus production):
	* Food energy in BJ/kg
	egen p_sell_gro = rsum(p_sell_ugr p_sell_sgr)
	egen p_sell_mai = rsum(p_sell_tma p_sell_ima p_sell_hma)
	g esu_gro = p_sell_gro	* 0.012916
	g esu_mai = p_sell_mai  * 0.015021
	g esu_sor = p_sell_sor	* 0.014519
	g esu_mil = p_sell_mil	* 0.014016
	g esu_bea = p_sell_bea	* 0.014058
	g esu_pla = p_sell_pla	* 0.003954
	g esu_cas = p_sell_cas	* 0.005611
	g esu_swe = p_sell_swe 	* 0.004556
	egen	esu_maize	= rsum(esu_mai)
	egen	esu_cereal	= rsum(esu_mai esu_mil esu_sor)
	egen 	esu_total	= rsum(esu_gro - esu_swe)
	label var esu_maize  "Surplus maize production [BJ]
	label var esu_cereal "Surplus food energy prod. from cereals [BJ]
	label var esu_total  "Surplus total food energy production [BJ]
	
	g p_surp_mai = esu_maize / epr_maize * 100
	g p_surp_cer = esu_cereal / epr_cereal * 100
	g p_surp_tot = esu_total  / epr_total  * 100
	label var p_surp_mai "% surplus prod. of maize [BJ]
	label var p_surp_cer "% surplus prod. of cereals [aggregated in BJ]
	label var p_surp_tot "% surplus food prod. [aggregated in BJ]
	drop epr_gro - epr_swe esu_gro - esu_swe

************************************************************************
**** 6B.	NET SELLERS AND NET BUYERS OF CEREALS
************************************************************************

	* NET SELLER	= PRODUCTION > CONSUMPTION
	* NET BUYER 	= PRODUCTION < CONSUMPTION

	** CEREALS
	* Production = epr_cereal
	* Consumption
		* Home consumption
		egen p_con_mai = rsum(p_con_tma p_con_ima p_con_hma)
		g  eco_mai = p_con_mai * 0.015021
		g  eco_mil = p_con_mil * 0.014016
		g  eco_sor = p_con_sor * 0.014519	
		* Market consumption
		g  eco_it2 = p_pur_item2 * 0.01425
		
	egen eco_cereal = rsum(eco_mai eco_mil eco_sor eco_it2)

	* Separate sellers from buyers:
	g difference = epr_cereal - eco_cereal
	recode difference (0/max=1) (min/0=0), g(seller)
	drop difference







