************************************************************************
**** 6a. GRAPHS FOR SURPLUS FOOD PRODUCTION (SOCIAL OBJECTIVE NR.1)
************************************************************************

	cd $dir:\borland\stata\temp\
	use calc6.dta, clear


	** SPECIFY WHICH RUN TO DEPICT:
	keep if run == "L281"


	** Index numbers
	** esu_cereal esu_total epr_cereal epr_total
	collapse (sum) esu_cereal esu_total epr_cereal epr_total, by(run time) fast
	local var "esu_cereal esu_total epr_cereal epr_total"
	foreach x of local var {
		g bas  = `x' if time >= 1 & time <= 3
		egen base = mean(bas) 
		g i_`x' = `x' / base * 100
		drop base bas
		}
	* SURPLUS production (cereals, index calculated from BJ):
	graph twoway connected i_esu_cereal time , clw(*3) clc(sienna) msymbol(square) mfc(white) mc(sienna) ylabel(0(20)120, labsize(medium) angle(horizontal)) xlabel(1(1)16, labsize(medium)) ytitle("index, year 1-3=100", size(medlarge)) xtitle(year, size(medlarge) margin(medsmall)) 
		graph export "$dir:\Dissertation\PART II\Ch9_Results\social_ecer_surplus.tif", replace
	* SURPLUS production (total food, index calculated from BJ):
	graph twoway connected i_esu_total time  , clw(*3) clc(sienna) msymbol(square) mfc(white) mc(sienna) ylabel(0(20)120, labsize(medium) angle(horizontal)) xlabel(1(1)16, labsize(medium)) ytitle("index, year 1-3=100", size(medlarge)) xtitle(year, size(medlarge) margin(medsmall)) 
		graph export "$dir:\Dissertation\PART II\Ch9_Results\social_etot_surplus.tif", replace
	
	* TOTAL PRODUCTION (cereals, index calculated from BJ):
	graph twoway connected i_epr_cereal time , clw(*3) clc(sienna) msymbol(square) mfc(white) mc(sienna) ylabel(0(20)120, labsize(medium) angle(horizontal)) xlabel(1(1)16, labsize(medium)) ytitle("index, year 1-3=100", size(medlarge)) xtitle(year, size(medlarge) margin(medsmall)) 
		graph export "$dir:\Dissertation\PART II\Ch9_Results\social_ecer_product.tif", replace
	* TOTAL PRODUCTION (total food, index calculated from BJ):
	graph twoway connected i_epr_total time  , clw(*3) clc(sienna) msymbol(square) mfc(white) mc(sienna) ylabel(0(20)120, labsize(medium) angle(horizontal)) xlabel(1(1)16, labsize(medium)) ytitle("index, year 1-3=100", size(medlarge)) xtitle(year, size(medlarge) margin(medsmall)) 
		graph export "$dir:\Dissertation\PART II\Ch9_Results\social_etot_product.tif", replace

