** 	CHANGE THE DIRECTORY
	cd $DIR

** 	OPEN SOLUTION.DTA
	use BSL_B_rhs, clear
 	 append using BSL_W_rhs
	append using BSL_A_rhs

	append using OFF_W_rhs
	append using OFF_B_rhs

** 	CLASSIFY FARM HOUSEHOLDS BASED ON LAND TYPES

	g rf_farm = 1 if land_rf>0&land_river==0
	g ir_bgdam = 2 if land_irri>0&secID==0

	g ir_smdam = 3 if land_river>0&secID>0


      g typefarm = 0 if secID>=0

	replace typefarm = 1 if rf_farm==1
	replace typefarm = 2 if ir_bgdam==2
	replace typefarm = 3 if ir_smdam==3
      

	label define typefarm 1 "RFfarm" 2 "Bigdamfarm" 3 "Smalldamfarm 
	label val typefarm
      


 	keep run period aID typefarm
	
	save farmtype, replace


***********************************************************************************
	use BSL_B_solution, clear
	append using BSL_W_solution
	append using BSL_A_solution
	append using OFF_B_solution
	append using OFF_W_solution


	merge using  farmtype

	drop _merge


*************************************************************************************
**	CHANGE PERIODS INTO YEARS
	g year = $YEAR -1 + period		/* From periods to years */

	drop if year==2007
	drop if year==2008
	drop if year==2009

	
      


**FAMILY SIZE (IN MALE ADULT (18-62) EQUIVALENT: 3.259 BJ/YEAR)
	g hhsize = e_demand
	g hhsize_ae = hhsize / 3.259
	label var hhsize "Household size [BJ]
	label var hhsize_ae "Household size [male adult equivalents]

** PERCAPITA ENERGY CONSUMPTION and poverty decompostion
g pcap_en=e_supply/hhsize_ae
keep  year aID pcap_en run typefarm
      scalar z= 3.259
      g ind=0
      replace ind=1 if pcap_en<= z
      gen gap0= ind*((z-pcap_en)/z)^0
      gen gap1= ind*((z-pcap_en)/z)^1
      gen gap2= ind*((z-pcap_en)/z)^2


collapse gap0, by(year  typefarm run)fast

reshape wide gap0,i(year typefarm) j(run)string
gg


collapse (mean) income, by( typefarm run period) fast
gg
      g incrf = typefarm==1

	g incbd = typefarm==2
      g incsd = typefarm==3
  reshape wide income,i(typefarm period) j(run) string


graph bar  incrf incbd incsd  , over(period) bar(1, bc(black)) bar(2, bc(forest_green*0.9) ) bar(3, bc(sienna*0.7) ) legend(cols(2) label(1 "Baseline [Best RF]") label(2 "Baseline [Average RF]")label(3 "Baseline [Worest RF]")  region(lpattern(blank) margin(medium))) ylabel(0(250)2500, gmin gmax glc(black) glw(*0.9) angle(horizontal) labsize(medlarge)) ysca(noline) ytitle("Income in GH cedi", size(large))  graphregion(fc(white)) plotregion(margin(zero) lc(black)) title("Average Income of Household [in GH Cedi]", size(large))


gg
tabulate typefarm
sum income
sum incomeBSL_B if typefarm==3
gg

**************************************************************************************
	g y=income if typefarm==3
    ** Mean income
*********************************************************************************************
	
     egen meany=mean(y)
**Income share of each agent
*********************************************************************************************
	
    egen toty=sum(y)
    sum y meany
   egen n=count(aID)
   g test1=meany*n
   sum test1 toty
   g ysh=y/toty
   codebook ysh
egen test2=sum(ysh)
sum test2
drop test1 test2
** Range
*********************************************************************************************

egen maxy=max(y)
egen miny=min(y)
g range=(maxy-miny)/meany
sum miny maxy range n
** Relative mean divations
*********************************************************************************************


gen absdev=abs(meany-y)/toty
egen rmdev=sum(absdev)
drop absdev
sum rmdev
** Variance std and CV
*********************************************************************************************

egen sdy=sd(y)
gen vary=sdy^2
gen coefvar=sdy/meany
sum sdy vary coefvar
**Standard deivation of logarithms
*********************************************************************************************
gen lndif=(sqrt(ln(meany)-ln(y)))/n
egen sumlndif=sum(lndif)
gen sdlog=sumlndif^(0.5)
drop lndif sumlndif
sum sdlog
**Gini Coefficient
*********************************************************************************************
sort y
g rank=-n
replace rank=n-rank+1
gen ranky=rank*y
egen sumranky=sum(ranky)
gen gini=1+(1/n)-((2/((n^2)*meany))*sumranky)
cumul y, g(cy)
egen meancy=mean(cy)
g covstep1=(y-meany)*(cy-meancy)
egen covstep2=sum(covstep1)
gen covy_cy=covstep2/n
corr y cy,cov
sum covy_cy
gen gini2=2*covy_cy/meany
sum gini*
drop rank ranky sumranky meancy covstep*
**Theil measure
*********************************************************************************************
g tstep1=ysh*ln(n*ysh)
egen theil=sum(tstep1)
sum theil
**Final report
*********************************************************************************************
sum meany range rmdev sdy vary coefvar sdlog gini2 theil
**Decompostion of inequalties among diffrent groups of Agents
*********************************************************************************************
sum meany range rmdev sdy vary coefvar sdlog gini2 theil if typefarm==2
sum meany range rmdev sdy vary coefvar sdlog gini2 theil if typefarm==1
sum meany range rmdev sdy vary coefvar sdlog gini2 theil if typefarm==3


	
      
gg

gg

	
